body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    overflow: auto;
}

.container {
    text-align: center;
    max-width: 100vw;
    max-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.ads {
    margin-top: 20px;
    text-align: center;
}

.container img {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    object-fit: scale-down;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.container img.full-size {
    position: absolute;
    top: 0;
    left: 0;
    max-width: none;
    max-height: none;
    width: auto;
    height: auto;
    transform: none;
}

/* Cookie banner styles */
.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    color: #fff;
    padding: 15px;
    text-align: center;
    z-index: 1000;
}

.cookie-banner button {
    background-color: #007bff;
    color: #fff;
    border: none;
    padding: 10px 20px;
    margin-left: 10px;
    cursor: pointer;
    border-radius: 5px;
}

.cookie-banner button:hover {
    background-color: #0056b3;
}

/* Swipe Feedback Overlay */
#swipeFeedback {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 100px;
    color: rgba(0, 0, 0, 0.2);
    pointer-events: none;
    transition: opacity 0.2s ease-in-out;
    opacity: 0;
    z-index: 1000;
}

/* Thumbs-Up and Thumbs-Down Overlays */
.thumb-overlay {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 100px;
    opacity: 0;
    pointer-events: none;
    transition: transform 0.2s ease, opacity 0.2s ease;
    z-index: 1000;
}

#thumbUpOverlay {
    opacity: 0;
}

#thumbDownOverlay {
    opacity: 0;
}